## org.apache.solr.common.params
Interface SpellingParams

    public interface SpellingParams

Parameters used for spellchecking

Since:
  solr 1.3

Field Summary
`static String` `SPELLCHECK_BUILD` Whether to build the index or not.
`static String` `SPELLCHECK_COLLATE` Take the top suggestion for each token and create a new query from it
`static String` `SPELLCHECK_COUNT` The count of suggestions needed for a given query.
`static String` `SPELLCHECK_DICT` The name of the dictionary to be used for giving the suggestion for a request.
`static String` `SPELLCHECK_EXTENDED_RESULTS` Whether to use the extended response format, which is more complicated but richer.
`static String` `SPELLCHECK_ONLY_MORE_POPULAR` When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned.
`static String` `SPELLCHECK_PREFIX`
`static String` `SPELLCHECK_Q` Use the value for this parameter as the query to spell check.
`static String` `SPELLCHECK_RELOAD` Whether to reload the index.

Field Detail

### SPELLCHECK_PREFIX

    static final String SPELLCHECK_PREFIX

See Also:
  Constant Field Values

### SPELLCHECK_DICT

    static final String SPELLCHECK_DICT

  The name of the dictionary to be used for giving the suggestion for a request. The value for this parameter is configured in solrconfig.xml

  See Also:
    Constant Field Values

### SPELLCHECK_COUNT

    static final String SPELLCHECK_COUNT

  The count of suggestions needed for a given query.

  If this parameter is absent in the request then only one suggestion is returned. If it is more than one then a maximum of given suggestions are returned for each token in the query.

  See Also:
    Constant Field Values

### SPELLCHECK_ONLY_MORE_POPULAR

    static final String SPELLCHECK_ONLY_MORE_POPULAR

  When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned. The default value is false.

  This is applicable only for dictionaries built from Solr fields.

  See Also:
    Constant Field Values

### SPELLCHECK_EXTENDED_RESULTS

    static final String SPELLCHECK_EXTENDED_RESULTS

  Whether to use the extended response format, which is more complicated but richer. Returns the document frequency for each suggestion and returns one suggestion block for each term in the query string. Default is false.

  This is applicable only for dictionaries built from Solr fields.

  See Also:
    Constant Field Values

### SPELLCHECK_Q

    static final String SPELLCHECK_Q

  Use the value for this parameter as the query to spell check.

  This parameter is optional. If absent, then the q parameter is used.

  See Also:
    Constant Field Values

### SPELLCHECK_BUILD

    static final String SPELLCHECK_BUILD

  Whether to build the index or not. Optional and false by default.

  See Also:
    Constant Field Values

### SPELLCHECK_RELOAD

    static final String SPELLCHECK_RELOAD

  Whether to reload the index. Optional and false by default.

  See Also:
    Constant Field Values

### SPELLCHECK_COLLATE

    static final String SPELLCHECK_COLLATE

  Take the top suggestion for each token and create a new query from it

  See Also:
    Constant Field Values

Copyright © 2010 Apache Software Foundation. All Rights Reserved.